package cn.wisenergy.mapper;

import cn.wisenergy.model.app.LastMonthTeamUserInfo;
import cn.wisenergy.model.app.TeamUserInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface LastMonthTeamUserInfoMapper extends BaseMapper<LastMonthTeamUserInfo> {

    /**
     * 获取用户的团队信息
     * @param userId 用户Id
     * @return 用户的团队信息
     */
    LastMonthTeamUserInfo getByUserId(String userId);

    /**
     * 获取用户的团队总人数
     * @param userId 用户Id
     * @return 团队总人数
     */
    Integer getTeamUserCount(String userId);

    int add(LastMonthTeamUserInfo teamUserInfo);

    int edit(LastMonthTeamUserInfo lastMonthTeamUserInfo);
}
